/*
    SPDX-FileCopyrightText: 2020 Tobias Fella <fella@posteo.de>
    SPDX-FileCopyrightText: 2021 Sergey V Turhcin <zerg@altlinux.org>

    SPDX-License-Identifier: GPL-2.0-or-later
*/

import QtQuick 2.12

import org.kde.kirigami 2.7 as Kirigami
import org.kde.kcm 1.5 as KCM

KCM.SimpleKCM {
    Kirigami.FormLayout {
        ComponentComboBox {
            component: kcm.audioPlayers
            label: i18n("Audio Player:")

            KCM.SettingHighlighter {
                highlight: !kcm.audioPlayers.isDefaults
            }
        }
        ComponentComboBox {
            component: kcm.videoPlayers
            label: i18n("Video Player:")

            KCM.SettingHighlighter {
                highlight: !kcm.videoPlayers.isDefaults
            }
        }
        ComponentComboBox {
            component: kcm.imageViewers
            label: i18n("Image Viewer:")

            KCM.SettingHighlighter {
                highlight: !kcm.imageViewers.isDefaults
            }
        }
    }
}
